Read Work Queue Status
curl --request GET \
--url https://api.example.com/work_queues/{id}/statusimport requests
url = "https://api.example.com/work_queues/{id}/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/work_queues/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"healthy": true,
"health_check_policy": {
"maximum_late_runs": 0,
"maximum_seconds_since_last_polled": 60
},
"late_runs_count": 0,
"last_polled": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Work Queues
Read Work Queue Status
Get the status of a work queue.
GET
/
work_queues
/
{id}
/
status
Read Work Queue Status
Headers
Path Parameters
The work queue id
Response
Successful Response
Whether or not the work queue is healthy.
The policy used to determine whether or not the work queue is healthy.
Show child attributes
Show child attributes
The number of late flow runs in the work queue.
The last time an agent polled this queue for work.
Was this page helpful?
⌘I